package ch.iet_gibb.heatcalculator.application;

import ch.iet_gibb.heatcalculator.model.*;

import java.util.ArrayList;
import java.util.List;


/**
 * Represents a heat calculator application that calculates the amount of wood, pellets, or chips required
 * to produce a specified amount of energy in kilowatt-hours (KWh).
 *
 * @author Yusuf Sabir
 * @version 1.0
 * @since 12.02.2024
 */
public class HeatCalculator {
    /**
     * Default constructor for the HeatCalculator class.
     * This constructor is provided for convenience and does not perform any specific initialization.
     */
    public HeatCalculator() {
        // Default constructor
    }
    /**
     * The main method of the HeatCalculator application.
     * Prompts the user to enter the energy amount in KWh and the choice of burning material.
     * Based on the choice, prompts the user to enter the type of wood (if applicable) and calculates
     * the amount of wood, pellets, or chips required to produce the specified energy amount.
     *
     * @param args The command-line arguments passed to the application.
     */
    public static void main(String[] args) {
        List<Burn> list = new ArrayList<>();

        Burn wood = new BurnWood(WoodTypes.BUCHE, 100);
        Burn pellet = new BurnPellets(1000);
        Burn chip = new BurnChips(WoodTypes.TANNE, 100);

        list.add(wood);
        list.add(pellet);
        list.add(chip);

        for (Burn burn : list) {
            System.out.println(burn);
        }
    }
}
